Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtPickerClickPointMachine Class Reference

Inheritance diagram for QwtPickerClickPointMachine:

[legend]
Collaboration diagram for QwtPickerClickPointMachine:

[legend]
List of all members.

## Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 selects a point.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 64 of file qwt_picker_machine.h.

## Public Member Functions
virtual QValueList< Command > | transition (const QwtEventPattern &, const QEvent *)

## Member Function Documentation

QValueList< QwtPickerMachine::Command > QwtPickerClickPointMachine::transition | ( | const QwtEventPattern & | ,
|  | const QEvent * |
| ) | `[virtual]`

| Transition. Implements QwtPickerMachine. Definition at line 44 of file qwt_picker_machine.cpp. References QwtEventPattern::keyMatch(), and QwtEventPattern::mouseMatch().